IMDb详情 API (V1)
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…
使用所选语言和国家/地区偏好检索指定标题ID的IMDb标题详情。用于支持详细的标题研究或丰富影视目录。
请求参数
| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
|---|---|---|---|---|---|
token | query | string | 是 | - | 用户的鉴权令牌。 |
id | query | string | 是 | - | IMDb标题标识符,格式为tt<数字>。 |
languageCountry | query | string | 否 | en_US | 语言与国家/地区偏好。 可用值: - en_US: 英语(美国)- fr_CA: 法语(加拿大)- fr_FR: 法语(法国)- de_DE: 德语(德国)- hi_IN: 印地语(印度)- it_IT: 意大利语(意大利)- pt_BR: 葡萄牙语(巴西)- es_ES: 西班牙语(西班牙)- es_US: 西班牙语(美国)- es_MX: 西班牙语(墨西哥) |
代码示例
bash
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE'text
我想使用 JustOneAPI 提供的“详情 (V1)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE
接口地址: BASE_URL + /api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/imdb/details-v1-zh.json
请求参数说明:
- token (query): 用户的鉴权令牌。 (必填)
- id (query): IMDb标题标识符,格式为tt<数字>。 (必填)
- languageCountry (query): 语言与国家/地区偏好。
可用值:
- `en_US`: 英语(美国)
- `fr_CA`: 法语(加拿大)
- `fr_FR`: 法语(法国)
- `de_DE`: 德语(德国)
- `hi_IN`: 印地语(印度)
- `it_IT`: 意大利语(意大利)
- `pt_BR`: 葡萄牙语(巴西)
- `es_ES`: 西班牙语(西班牙)
- `es_US`: 西班牙语(美国)
- `es_MX`: 西班牙语(墨西哥)
返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。
响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为 120 秒;如果 120 秒偏长,请至少设置为 60 秒,但可能会有少量请求因超时而未接收到结果。
3. 业务码说明:
- 0: 成功
- 100: Token 无效或已失效
- 301: 采集失败,请重试
- 302: 超出速率限制
- 303: 超出每日配额
- 400: 参数错误
- 500: 内部服务器错误
- 600: 权限不足
- 601: 账户余额不足
- 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨,多个 TOKEN 仍共享同一个账户余额。
请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。python
import requests
BASE_URL = "https://api.justoneapi.com" # 由 OpenAPI servers 提供
url = BASE_URL + "/api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
content_type = response.headers.get("content-type", "").lower()
if "json" in content_type:
try:
print(response.json())
except ValueError:
print(response.text)
elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
print(response.text)
else:
with open("response.bin", "wb") as output:
output.write(response.content)
print(f"Saved {len(response.content)} bytes to response.bin")js
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE";
const response = await fetch(url, {
method: "GET",
signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
const contentType = (response.headers.get("content-type") || "").toLowerCase();
const mediaType = contentType.split(";", 1)[0].trim();
const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
if (textual) {
const responseText = new TextDecoder().decode(responseBytes);
let data = responseText;
if (contentType.includes("json")) {
try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
}
console.log(data);
} else {
console.log(`Received ${responseBytes.byteLength} binary bytes`);
}
}java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;
public class Main {
public static void main(String[] args) throws Exception {
final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
final String url = BASE_URL + "/api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE";
HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
HttpRequest.Builder builder = HttpRequest.newBuilder()
.uri(URI.create(url))
.timeout(Duration.ofSeconds(120))
.method("GET", HttpRequest.BodyPublishers.noBody());
HttpRequest request = builder.build();
HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
System.out.println(response.statusCode());
String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
String mediaType = contentType.split(";", 2)[0].trim();
if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
System.out.println(new String(response.body(), StandardCharsets.UTF_8));
} else {
Files.write(Path.of("response.bin"), response.body());
System.out.println("Saved " + response.body().length + " bytes to response.bin");
}
}
}go
package main
import (
"fmt"
"io"
"os"
"strings"
"net/http"
"time"
)
const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供
func main() {
client := &http.Client{Timeout: 120 * time.Second}
url := BASE_URL + "/api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
fmt.Println(resp.StatusCode)
bodyBytes, _ := io.ReadAll(resp.Body)
contentType := strings.ToLower(resp.Header.Get("Content-Type"))
mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
fmt.Println(string(bodyBytes))
} else {
os.WriteFile("response.bin", bodyBytes, 0600)
fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
}
}php
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/imdb/title-details-query/v1?token=YOUR_API_KEY&id=VALUE';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
echo $response;
} else {
file_put_contents('response.bin', $response);
echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}返回字段
业务成功时(code = 0)的主要返回字段。
作品信息16 个字段
data
| 字段 | 类型 | 说明 |
|---|---|---|
title | object | 请求的 IMDb 作品详情。 |
title.id | string | 该作品的 IMDb ID。 |
title.titleText | object | - |
title.titleText.text | string | IMDb 返回的本地化展示名称。 |
title.titleText.isOriginalTitle | boolean | 展示名称是否标记为原始片名。 |
title.originalTitleText | object | - |
title.originalTitleText.text | string | 作品的原语言片名文本。 |
title.originalTitleText.isOriginalTitle | boolean | 该片名条目的原始片名标志。 |
title.titleType | object | - |
title.titleType.id | string | 该作品的 IMDb 类型标识。 |
title.titleType.text | string | 作品类型的展示名称。 |
title.titleType.canHaveEpisodes | boolean | 该作品类型是否可以包含分集。 |
title.titleType.isEpisode | boolean | IMDb 是否将该作品归类为单集。 |
title.titleType.isSeries | boolean | IMDb 是否将该作品归类为剧集。 |
title.runtime | object | - |
title.runtime.seconds | integer | 该作品返回的时长,以秒为单位。 |
上映信息17 个字段
data
| 字段 | 类型 | 说明 |
|---|---|---|
title.releaseYear | object | - |
title.releaseYear.year | integer | IMDb 为作品报告的起始发行年份。 |
title.releaseYear.endYear | integer | null | 接口报告的作品结束年份,未提供时为 null。 |
title.releaseDate | object | - |
title.releaseDate.year | integer | 发行日期中的年份。 |
title.releaseDate.month | integer | 发行日期中的月份。 |
title.releaseDate.day | integer | 发行日期中的日。 |
title.releaseDate.country | object | - |
title.releaseDate.country.id | string | 该发行日期对应的国家代码。 |
title.countriesOfOrigin | object | - |
title.countriesOfOrigin.countries | array | 该作品列出的原产国家或地区。 |
title.countriesOfOrigin.countries[].id | string | 原产国家或地区代码。 |
title.countriesOfOrigin.countries[].text | string | 原产国家或地区的展示名称。 |
title.spokenLanguages | object | - |
title.spokenLanguages.spokenLanguages | array | 该作品列出的对白语言。 |
title.spokenLanguages.spokenLanguages[].id | string | 对白语言标识。 |
title.spokenLanguages.spokenLanguages[].text | string | 对白语言的展示名称。 |
别名与版本16 个字段
data
| 字段 | 类型 | 说明 |
|---|---|---|
title.akas | object | - |
title.akas.edges | array | 该作品返回的其他片名记录。 |
title.akas.edges[].node | object | - |
title.akas.edges[].node.displayableProperty | object | - |
title.akas.edges[].node.displayableProperty.value | object | - |
title.akas.edges[].node.displayableProperty.value.plainText | string | 其他片名的展示文本。 |
title.akas.edges[].node.country | object | - |
title.akas.edges[].node.country.id | string | 其他片名关联的国家或地区代码。 |
title.akas.edges[].node.country.text | string | 其他片名关联的国家或地区展示名称。 |
title.akas.total | integer | 接口返回的其他片名记录总数。 |
title.alternateVersions | object | - |
title.alternateVersions.edges | array | 该作品返回的其他版本说明。 |
title.alternateVersions.edges[].node | object | - |
title.alternateVersions.edges[].node.text | object | - |
title.alternateVersions.edges[].node.text.plainText | string | 其他版本说明的纯文本内容。 |
title.alternateVersions.total | integer | 接口返回的其他版本说明总数。 |
拍摄地点11 个字段
data
| 字段 | 类型 | 说明 |
|---|---|---|
title.filmingLocations | object | - |
title.filmingLocations.edges | array | 该作品返回的拍摄地点条目。 |
title.filmingLocations.edges[].node | object | - |
title.filmingLocations.edges[].node.id | string | 拍摄地点条目的 IMDb 标识。 |
title.filmingLocations.edges[].node.displayableProperty | object | - |
title.filmingLocations.edges[].node.displayableProperty.value | object | - |
title.filmingLocations.edges[].node.displayableProperty.value.plainText | string | 拍摄地点的展示文本。 |
title.filmingLocations.edges[].node.interestScore | object | - |
title.filmingLocations.edges[].node.interestScore.usersInterested | integer | 该拍摄地点条目返回的感兴趣人数。 |
title.filmingLocations.edges[].node.interestScore.usersVoted | integer | 该拍摄地点条目返回的投票人数。 |
title.filmingLocations.total | integer | 接口返回的拍摄地点总数。 |
图片与链接13 个字段
data
| 字段 | 类型 | 说明 |
|---|---|---|
title.primaryImage | object | - |
title.primaryImage.id | string | 主图的 IMDb 标识。 |
title.primaryImage.url | string | 作品主图的返回地址。 |
title.primaryImage.width | integer | 主图的像素宽度。 |
title.primaryImage.height | integer | 主图的像素高度。 |
title.officialLinks | object | - |
title.officialLinks.edges | array | 该作品列出的官方链接。 |
title.officialLinks.edges[].node | object | - |
title.officialLinks.edges[].node.label | string | 官方链接的展示标签。 |
title.officialLinks.edges[].node.url | string | 官方链接的 URL。 |
title.officialLinks.edges[].node.externalLinkRegion | object | null | 有值时为官方链接对应的地区。 |
title.officialLinks.edges[].node.externalLinkRegion.id | string | 官方链接所关联的地区标识。 |
title.officialLinks.edges[].node.externalLinkRegion.text | string | 官方链接所关联地区的展示名称。 |
响应示例
正在加载响应示例…